package ruirossi.editora.persistencia;

import ruirossi.editora.erros.*;
import ruirossi.editora.beans.*;
import java.util.*;

public interface AssuntoDAO {
  public abstract void incluir(AssuntoBean b) throws EditoraException;
  public abstract void excluir(AssuntoBean b) throws EditoraException;
  public abstract Collection listar() throws EditoraException;
  public abstract AssuntoBean selecionar(int codigo)
    throws EditoraException;
  public abstract AssuntoBean selecionar(String descricao)
    throws EditoraException;
}