package ruirossi.editora.negocio;

import ruirossi.editora.beans.*;
import ruirossi.editora.erros.*;
import ruirossi.editora.persistencia.*;
import java.util.*;

public class ClienteBO {
  public static void incluir (ClienteBean b) throws EditoraException {
    FabricaDAO.getClienteDAO().incluir(b);
  }
  
  public static void excluir (ClienteBean b) throws EditoraException {
    FabricaDAO.getClienteDAO().excluir(b);
  }
  
  public static Collection listar () throws EditoraException {
    return FabricaDAO.getClienteDAO().listar();
  }
  
  public static ClienteBean selecionar (String email)
    throws EditoraException {
    return FabricaDAO.getClienteDAO().selecionar(email);
  }
  
  public static ClienteBean validar (ClienteBean b)
    throws EditoraException {
    return FabricaDAO.getClienteDAO().validar(b);
  }
}