package ruirossi.editora.negocio;

import ruirossi.editora.beans.*;
import ruirossi.editora.erros.*;
import ruirossi.editora.persistencia.*;
import java.util.*;

public class AutorBO {
  public static void incluir (AutorBean b) throws EditoraException {
    FabricaDAO.getAutorDAO().incluir(b);
  }
  
  public static void excluir (AutorBean b) throws EditoraException {
    FabricaDAO.getAutorDAO().excluir(b);
  }
  
  public static Collection listar () throws EditoraException {
    return FabricaDAO.getAutorDAO().listar();
  }
  
  public static AutorBean selecionar (int codigo) 
    throws EditoraException {
    return FabricaDAO.getAutorDAO().selecionar(codigo);
  }
  
  public static AutorBean selecionar (String nome)
    throws EditoraException {
    return FabricaDAO.getAutorDAO().selecionar(nome);
  }
}