package ruirossi.editora.negocio;

import ruirossi.editora.beans.*;
import ruirossi.editora.erros.*;
import ruirossi.editora.persistencia.*;
import java.util.*;

public class LivroBO {
  public static void incluir (LivroBean b) throws EditoraException {
    FabricaDAO.getLivroDAO().incluir(b);
  }
  
  public static void excluir (LivroBean b) throws EditoraException {
    FabricaDAO.getLivroDAO().excluir(b);
  }
  
  public static Collection listar () throws EditoraException {
    return FabricaDAO.getLivroDAO().listar();
  }
  
  public static LivroBean selecionar (int codigo) 
    throws EditoraException {
    return FabricaDAO.getLivroDAO().selecionar(codigo);
  }

  public static Collection selecionar (String titulo) 
    throws EditoraException {
    return FabricaDAO.getLivroDAO().selecionar(titulo);
  }
  
  public static Collection selecionar (AssuntoBean assunto) 
    throws EditoraException {
    return FabricaDAO.getLivroDAO().selecionar(assunto);
  }
  
  public static Collection selecionar (AutorBean autor) 
    throws EditoraException {
    return FabricaDAO.getLivroDAO().selecionar(autor);
  }
}