package ruirossi.editora.persistencia;

import ruirossi.editora.erros.*;
import ruirossi.editora.beans.*;
import java.util.*;

public interface AutorDAO {
  public abstract void incluir(AutorBean b) throws EditoraException;
  public abstract void excluir(AutorBean b) throws EditoraException;
  public abstract Collection listar() throws EditoraException;
  public abstract AutorBean selecionar(int codigo)
    throws EditoraException;
  public abstract AutorBean selecionar(String nome)
    throws EditoraException;
}