package ruirossi.editora.persistencia;

import ruirossi.editora.erros.*;
import ruirossi.editora.beans.*;
import java.util.*;

public interface ClienteDAO {
  public abstract void incluir(ClienteBean b) throws EditoraException;
  public abstract void excluir(ClienteBean b) throws EditoraException;
  public abstract Collection listar() throws EditoraException;
  public abstract ClienteBean selecionar(String email)
    throws EditoraException;
  public abstract ClienteBean validar(ClienteBean b)
    throws EditoraException;
}