package ruirossi.livrojsp;

import java.sql.*;

public class Conexao {
  private static Connection con;
  private static Statement stm;
  
  public static void abrir () throws Exception {
    String driver, url, usuario, senha;
    
    driver = "com.mysql.jdbc.Driver";
    url = "jdbc:mysql://localhost:3306/livrovisitas";
    usuario = "root";
    senha = "root";
    
    Class.forName(driver);
    con = DriverManager.getConnection(url,usuario,senha);
    stm = con.createStatement();
  }
  
  public static void fechar () throws Exception {
    if (stm != null) stm.close();
    if (con != null) con.close();
  }
  
  public static void atualizar(String sql) throws Exception {
    if (con == null || stm == null) abrir();
    stm.execute(sql);
  }
  
  public static ResultSet selecionar(String sql) throws Exception {
    if (con == null || stm == null) abrir();
    return stm.executeQuery(sql);
  }
}