package ruirossi.livrojsp;

import java.io.Serializable;
import java.text.NumberFormat;

public class Produto implements Serializable {
  private int codigo;
  private String nome;
  private double valor;
  
  public Produto() {
  }
  
  public Produto (int codigo, String nome, double valor) {
    this.codigo = codigo;
    this.nome = nome;
    this.valor = valor;
  }
  
  public int getCodigo () {
    return codigo;
  }
  
  public String getNome () {
    return nome;
  }
  
  public double getValor () {
    return valor;
  }
  
  public void setCodigo (int novoCodigo) {
    codigo = novoCodigo;
  }
  
  public void setNome (String novoNome) {
    nome = novoNome;
  }
  
  public void setValor (double novoValor) {
    valor = novoValor;
  }
  
  public String toString() {
    return codigo + " - " + nome + " - " + 
      NumberFormat.getCurrencyInstance().format(valor);
  }  
}