package ruirossi.editora.negocio;

import ruirossi.editora.beans.*;
import ruirossi.editora.erros.*;
import ruirossi.editora.persistencia.*;
import java.util.*;

public class AssuntoBO {
  public static void incluir (AssuntoBean b) throws EditoraException {
    FabricaDAO.getAssuntoDAO().incluir(b);
  }
  
  public static void excluir (AssuntoBean b) throws EditoraException {
    FabricaDAO.getAssuntoDAO().excluir(b);
  }
  
  public static Collection listar () throws EditoraException {
    return FabricaDAO.getAssuntoDAO().listar();
  }
  
  public static AssuntoBean selecionar (int codigo) 
    throws EditoraException {
    return FabricaDAO.getAssuntoDAO().selecionar(codigo);
  }
    
  public static AssuntoBean selecionar (String descricao) 
    throws EditoraException {
    return FabricaDAO.getAssuntoDAO().selecionar(descricao);
  }
}