package ruirossi.editora.persistencia;

public class FabricaDAO {
  public static FuncionarioDAO getFuncionarioDAO() {
    return new FuncionarioMySQL();
  }
  
  public static AssuntoDAO getAssuntoDAO() {
    return new AssuntoMySQL();
  }
  
  public static AutorDAO getAutorDAO() {
    return new AutorMySQL();
  }
  
  public static LivroDAO getLivroDAO() {
    return new LivroMySQL();
  }
  
  public static ClienteDAO getClienteDAO() {
    return new ClienteMySQL();
  }
  
  public static PedidoDAO getPedidoDAO() {
    return new PedidoMySQL();
  }
}