package ruirossi.editora.persistencia;

import ruirossi.editora.erros.*;
import ruirossi.editora.beans.*;
import java.util.*;

public interface LivroDAO {
  public abstract void incluir(LivroBean b) throws EditoraException;
  public abstract void excluir(LivroBean b) throws EditoraException;
  public abstract Collection listar() throws EditoraException;
  public abstract LivroBean selecionar(int codigo)
    throws EditoraException;
  public abstract Collection selecionar(String titulo)
    throws EditoraException;
  public abstract Collection selecionar(AssuntoBean assunto)
    throws EditoraException;
  public abstract Collection selecionar(AutorBean autor)
    throws EditoraException;
}