package ruirossi.editora.persistencia;

import ruirossi.editora.erros.*;
import ruirossi.editora.beans.*;
import java.util.*;

public interface PedidoDAO {
  public abstract void incluir(PedidoBean b) throws EditoraException;
  public abstract void excluir(PedidoBean b) throws EditoraException;
  public abstract Collection listar() throws EditoraException;
  public abstract PedidoBean selecionar(int numero)
    throws EditoraException;
  public abstract Collection selecionar(String cliente)
    throws EditoraException;
}